from torchvision import datasets, transforms

def load_mnist():
    dataset = datasets.MNIST('../data', train=True, download=True, transform=transforms.Compose(transforms.ToTensor()))
    x_data = dataset.data.float() / 255.
    y_data = dataset.targets
    return x_data, y_data